Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf
Class XSLFSlideShow

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.POIXMLDocument
              org.apache.poi.xslf.XSLFSlideShow

    public class XSLFSlideShow

extends POIXMLDocument

Experimental class to do low level processing of pptx files. If you are using these low level classes, then you will almost certainly need to refer to the OOXML specifications from http://www.ecma-international.org/publications/standards/Ecma-376.htm WARNING - APIs expected to change rapidly

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocument
`DOCUMENT_CREATOR, OLE_OBJECT_REL_TYPE, PACK_OBJECT_REL_TYPE`

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XSLFSlideShow(OPCPackage container)`
`XSLFSlideShow(java.lang.String file)`

Method Summary
`java.util.List<PackagePart>` | `getAllEmbedds()` Get the document's embedded files.
`PackagePart` | `getNodesPart(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry parentSlide)` Gets the PackagePart of the notes for the given slide, or null if there isn't one.
`org.openxmlformats.schemas.presentationml.x2006.main.CTNotesSlide` | `getNotes(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)` Returns the low level notes object for the given slide, as found from the supplied slide reference
`org.openxmlformats.schemas.presentationml.x2006.main.CTPresentation` | `getPresentation()` Returns the low level presentation base object
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlide` | `getSlide(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)` Returns the low level slide object from the supplied slide reference
`org.openxmlformats.schemas.presentationml.x2006.main.CTCommentList` | `getSlideComments(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)` Returns all the comments for the given slide
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMaster` | `getSlideMaster(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdListEntry master)` Returns the low level slide master object from the supplied slide master reference
`PackagePart` | `getSlideMasterPart(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdListEntry master)`
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList` | `getSlideMasterReferences()` Returns the references from the presentation to its slide masters.
`PackagePart` | `getSlidePart(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)`
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList` | `getSlideReferences()` Returns the references from the presentation to its slides.

Methods inherited from class org.apache.poi.POIXMLDocument
`getCorePart, getPackage, getProperties, getRelatedByType, getTargetPart, getTargetPart, hasOOXMLHeader, load, openPackage, write`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, commit, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, onDocumentCreate, onDocumentRead, onSave, read, rebase, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFSlideShow

    public XSLFSlideShow(OPCPackage container)
                  throws OpenXML4JException,
                         java.io.IOException,
                         org.apache.xmlbeans.XmlException

Throws:
  `OpenXML4JException`
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

### XSLFSlideShow

    public XSLFSlideShow(java.lang.String file)
                  throws OpenXML4JException,
                         java.io.IOException,
                         org.apache.xmlbeans.XmlException

Throws:
  `OpenXML4JException`
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getPresentation

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTPresentation getPresentation()

  Returns the low level presentation base object

### getSlideReferences

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList getSlideReferences()

  Returns the references from the presentation to its slides. You'll need these to figure out the slide ordering, and to get at the actual slides themselves

### getSlideMasterReferences

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList getSlideMasterReferences()

  Returns the references from the presentation to its slide masters. You'll need these to get at the actual slide masters themselves

### getSlideMasterPart

    public PackagePart getSlideMasterPart(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdListEntry master)
                                   throws java.io.IOException,
                                          org.apache.xmlbeans.XmlException

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getSlideMaster

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMaster getSlideMaster(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdListEntry master)
                                                                                      throws java.io.IOException,
                                                                                             org.apache.xmlbeans.XmlException

  Returns the low level slide master object from the supplied slide master reference

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getSlidePart

    public PackagePart getSlidePart(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)
                             throws java.io.IOException,
                                    org.apache.xmlbeans.XmlException

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getSlide

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlide getSlide(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)
                                                                          throws java.io.IOException,
                                                                                 org.apache.xmlbeans.XmlException

  Returns the low level slide object from the supplied slide reference

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getNodesPart

    public PackagePart getNodesPart(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry parentSlide)
                             throws java.io.IOException,
                                    org.apache.xmlbeans.XmlException

  Gets the PackagePart of the notes for the given slide, or null if there isn't one.

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getNotes

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTNotesSlide getNotes(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)
                                                                               throws java.io.IOException,
                                                                                      org.apache.xmlbeans.XmlException

  Returns the low level notes object for the given slide, as found from the supplied slide reference

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getSlideComments

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTCommentList getSlideComments(org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slide)
                                                                                        throws java.io.IOException,
                                                                                               org.apache.xmlbeans.XmlException

  Returns all the comments for the given slide

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### getAllEmbedds

    public java.util.List<PackagePart> getAllEmbedds()
                                              throws OpenXML4JException

  Get the document's embedded files.

  Specified by:
    `getAllEmbedds` in class `POIXMLDocument`
  Throws:
    `OpenXML4JException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.